﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ManageGiftCertificates, App_Web_managegiftcertificates.ascx.54f2e0e1" %>
<link href="module.css" rel="stylesheet" type="text/css" />

<table width="100%" class="SmithProdText">
    <col width="15%" />
    <col width="50%" />
    <tr align="left">
        <td colspan="2"><b>Manage Gift Certificates</b></td>
    </tr>
    
    <tr height="20"><td colspan="2"></td></tr>
    
     <tr align="left">
        <td>Sort Order:</td>
        <td><asp:TextBox runat="server" ID="txtSortOrder" Width="75" /></td>
    </tr>
    
     <tr height="7"><td></td><td></td></tr>
    
    <tr align="left">
        <td>Gift Certificate Name:</td>
        <td><asp:TextBox ID="txtGiftCertName" runat="server" Width="378px"></asp:TextBox></td>
    </tr>
    
    <tr height="7"><td></td><td></td></tr>
    
    <tr align="left">
        <td valign="top">Gift Certificate Amount:</td>
        <td>
            <asp:TextBox ID="txtGiftCertAmount" runat="server" Width="100px" MaxLength="7" />
           <%-- <asp:RequiredFieldValidator ID="rfvtxtGiftCertAmount" runat="server" ControlToValidate="txtGiftCertAmount"
                ErrorMessage="*Required" Display="Dynamic" />
            <asp:RegularExpressionValidator ID="revtxtGiftCertAmount" runat="server" ControlToValidate="txtGiftCertAmount"
                ValidationExpression="^\d{1,5}(\.\d{0,2})?$" ErrorMessage="*Invalid" Display="Dynamic" />&nbsp;--%>
        </td>
    </tr>
    
    <tr height="7"><td></td><td></td></tr>
    
    <tr align="left">
        <td valign="top">Share:</td>
        <td valign="top"><asp:CheckBox ID="chkShare" runat="server" /></td>
    </tr>
    
    <tr><td align="center" colspan="2"></td></tr>
    
    <tr align="left">
        <td></td>
        <td><asp:Button ID="btnAddGiftCert" runat="server" Text="Add New Gift Certificate" OnClick="btnAddGiftCert_Click" Width="180px" /></td>
    </tr>
    <tr height="30"><td align="center" colspan="2"></td></tr>

    <tr>
        <td align="left" colspan="2">
            <asp:GridView ID="grdGiftCert" runat="server" AutoGenerateColumns="false" OnRowCancelingEdit="grdGiftCert_RowCancelingEdit"
                OnRowDeleting="grdGiftCert_RowDeleting" OnRowEditing="grdGiftCert_RowEditing"
                OnRowUpdating="grdGiftCert_RowUpdating" Width="100%" CssClass="cssMain" CellPadding="4" >
                <HeaderStyle CssClass="GridHeader" />  
                <Columns>
                    <asp:TemplateField HeaderText="Gift ID" HeaderStyle-HorizontalAlign=Left ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblGiftCertID" runat="server" Text='<%#Eval("GiftCertID") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Sort Order" HeaderStyle-HorizontalAlign=Left ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblSortOrder" runat="server" Text='<%#Eval("SortOrder") %>' />
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox runat="server" ID="txtSortOrder" Text='<%#Eval("SortOrder") %>' Width="75" />
                        </EditItemTemplate>
                    </asp:TemplateField>
                   
                    <asp:TemplateField HeaderText="Gift Certificate Name" HeaderStyle-HorizontalAlign=Left ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblGiftCertName" runat="server" Text='<%#Eval("GiftCertName") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtGiftCertName" runat="server" Text='<%#Eval("GiftCertName") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Amount" SortExpression="GiftCertAmount" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblGiftCertAmount" runat="server" Text='<%#Eval("GiftCertAmount","{0:c}") %>'></asp:Label>
                        </ItemTemplate>
                          <EditItemTemplate>
                            <asp:TextBox ID="txtGiftCertAmount" runat="server" Text='<%#Eval("GiftCertAmount") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Share" HeaderStyle-HorizontalAlign=Left ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblShare" runat="server"  Text ='<%#Boolean.Parse(Eval("Share").ToString())?"Yes":"No"%>' />
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:CheckBox ID="chkShare" runat="server" Checked='<%#Eval("Share") %>' />
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:CommandField ShowEditButton="True" ItemStyle-CssClass="GridCells"/>
                    <asp:CommandField ShowDeleteButton="True" ItemStyle-CssClass="GridCells"/>
                </Columns>
            </asp:GridView>
        </td>
    </tr>
    <tr height="20"><td></td></tr>
    <tr>
        <td align="center" colspan="2">
            <asp:Button ID="btnBack" runat="server" onclick="btnBack_Click" Text="Back" Width="74px" />
        </td>
    </tr>
</table>

