﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ProductRoleDiscounts, App_Web_productrolediscounts.ascx.54f2e0e1" %>
<%@ Register TagPrefix="uc1" TagName="ProductMenuInclude" Src="menus/productmenu.ascx" %>
<link href="module.css" rel="stylesheet" type="text/css" />
<uc1:ProductMenuInclude ID="productmenu" runat="server" />

<table width="100%" class="SmithProdText">
    <col width="17%" />
    <col width="70%" />
    
    <tr style="height:20"><td colspan="2">&nbsp;</td></tr>
    
    <tr align="left">
        <td colspan="2">
            <asp:Label ID="Label1" runat="server" Text="Manage Product Discounts By Role" CssClass="SmithTitle"/>&nbsp;-&nbsp;
            <asp:Label ID="lblProductName" runat="server" CssClass="SmithProdText" />
        </td>
    </tr>
    
    <tr style="height:30px"><td>&nbsp;</td></tr>

     <tr align="left">
        <td class="SmithProdText">Member Role:</td>
        <td>
            <asp:DropDownList runat="server" ID="ddlMemberRole" AppendDataBoundItems="true">
                <asp:ListItem Value="0">-Select-</asp:ListItem>
            </asp:DropDownList>&nbsp;&nbsp;
            <%--<asp:RequiredFieldValidator ID="rfvddlMemberRole" runat="server" ControlToValidate="ddlMemberRole" Display="Dynamic" ErrorMessage="Required" InitialValue="0"/>--%>
        </td>
    </tr>

    <tr><td></td></tr>
    
    <tr align="left">
        <td valign="top">Discount Percentage:</td>
        <td>
            <asp:TextBox ID="txtDiscountPercent" runat="server" Width="100px" MaxLength="7"/>&nbsp;
            <asp:CompareValidator ID="CVtxtDiscountPercent" runat="server" ControlToValidate="txtDiscountPercent" ErrorMessage="Enter percentage without % sign" 
                    Operator="DataTypeCheck" Type="Currency"></asp:CompareValidator><br />
            <asp:Label ID="Lbl2" runat="server" Text="Enter percentage without % sign (i.e. 20% is entered as 20)" CssClass="SmithItalics"/>
        </td>
    </tr>
    
    <tr><td></td></tr>

    <tr align="left">
        <td>Discount Amount:</td>
        <td>
            <asp:TextBox runat="server" ID="txtDiscountAmount" Width="100" MaxLength="11" />&nbsp;&nbsp;
            <asp:CompareValidator ID="cvPrice2" runat="server" ErrorMessage="Enter a valid number" ControlToValidate="txtDiscountAmount" Operator="DataTypeCheck" Type="Double"/>
        </td>
    </tr>
    
    <tr style="height:30px"><td>&nbsp;</td></tr>

    <tr align="left">
        <td></td>
        <td><asp:Button runat="server" ID="btnAddMemberPricing" Width="160" Text="Add Member Pricing" onclick="btnAddMemberPricing_Click" /></td>  
    </tr>

    <tr style="height:20px"><td colspan="2">&nbsp;</td></tr>
    
    <tr style="height:110"><td colspan="2">
        <asp:GridView ID="grdMemberPricing" runat="server" AutoGenerateColumns="false" Width="100%" CssClass="cssMain" CellPadding="4"
                OnRowCancelingEdit="grdMemberPricing_RowCancelingEdit"
                OnRowDeleting="grdMemberPricing_RowDeleting" 
                OnRowEditing="grdMemberPricing_RowEditing" 
                OnRowUpdating="grdMemberPricing_RowUpdating"  
                onrowdatabound="grdMemberPricing_RowDataBound" >
                <HeaderStyle CssClass="GridHeader" /> 
                <Columns>
                    <asp:TemplateField HeaderText="DiscountID"  Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblDiscountID" runat="server" Text='<%#Eval("DiscountID") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                     <asp:TemplateField HeaderText="ProductID" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblProductID" runat="server" Text='<%#Eval("ProductID") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                     <asp:TemplateField HeaderText="Member Role" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblMemberRole" runat="server" Text='<%#Eval("RoleName") %>' />
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:DropDownList ID="ddlMemberRole" runat="server" 
                                dataSource="<%#PopulateList()%>" datatextfield="RoleName" datavaluefield="RoleID" Width="150px">
                            </asp:DropDownList>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Discount Percent" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblDiscountPercent" runat="server" Text='<%#Eval("DiscountPercent") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtDiscountPercent" runat="server" Text='<%#Eval("DiscountPercent") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                     <asp:TemplateField HeaderText="Discount Amount" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblDiscountAmount" runat="server" Text='<%#Eval("DiscountAmount","{0:n}") %>' />
                        </ItemTemplate>  
                        <EditItemTemplate>
                            <asp:TextBox ID="txtDiscountAmount" runat="server" Text='<%#Eval("DiscountAmount","{0:n}") %>'></asp:TextBox>
                        </EditItemTemplate>                  
                    </asp:TemplateField>
                    
                    <asp:CommandField ShowEditButton="True" ItemStyle-CssClass="GridCells" CausesValidation="false"/>
                    <asp:CommandField ShowDeleteButton="True" ItemStyle-CssClass="GridCells" CausesValidation="false"/>
                </Columns>
            </asp:GridView>
     </td></tr>
     
     <tr style="height:20"><td colspan="2">&nbsp;</td></tr>
     
     <tr><td align="center" colspan="2"> <asp:Button ID="btnBack" runat="server" Text="Back" Width="81px" onclick="btnBack_Click" CausesValidation="false" /></td></tr>
     
</table>
