﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ProductSearchKeys, App_Web_productsearchkeys.ascx.54f2e0e1" %>
<%@ Register TagPrefix="uc1" TagName="ProductMenuInclude" Src="menus/productmenu.ascx" %>

<link href="module.css" rel="stylesheet" type="text/css" />

<uc1:ProductMenuInclude ID="productmenu" runat="server" />

<table width="100%" class="SmithProdText">
    
    <col width="12%" />
    <col width="70%" />
    
    <tr style="height:20"><td colspan="2">&nbsp;</td></tr>
    
    <tr>
        <td colspan="2" align="left">
            <asp:Label ID="Label1" runat="server" Text="Manage Product Search Terms" CssClass="SmithTitle"/>&nbsp;-&nbsp;
            <asp:Label ID="lblProductName" runat="server" CssClass="SmithProdText" /><br />
            <asp:Label ID="Label3" runat="server" CssClass="SmithItalics" Text="(Add a comma seperated list of product search terms)"/>
        </td>
    </tr>
    
    <tr><td style="height:20">&nbsp;</td></tr>

    <tr>
        <td class="SmithProdText">Product Listing Page<br />Search Terms:<br /></td>
        <td align="left">
            <asp:TextBox runat="server" ID="txtSearchTerm" MaxLength="400" Width="500px" TextMode="MultiLine" Height="60px" />&nbsp;&nbsp;
            <asp:RequiredFieldValidator ID="rfvSearchTerm" runat="server" ControlToValidate="txtSearchTerm" Display="Dynamic" ErrorMessage="Required"/>
        </td>
    </tr>

    <tr><td>&nbsp;</td></tr>

    <tr>
        <td class="SmithProdText">Search Module DropDown List #1 Terms:<br /><br /></td>
        <td align="left"><asp:TextBox runat="server" ID="txtSMDD1" MaxLength="400" Width="500px" TextMode="MultiLine" Height="60px" /></td>
    </tr>

    <tr><td>&nbsp;</td></tr>

    <tr>
        <td class="SmithProdText">Search Module DropDown List #2 Terms:<br /><br /></td>
        <td align="left"><asp:TextBox runat="server" ID="txtSMDD2" MaxLength="400" Width="500px" TextMode="MultiLine" Height="60px" /></td>
    </tr>

    <tr><td>&nbsp;</td></tr>

    <tr>
        <td></td>
        <td align="left"><asp:Button runat="server" ID="btnAddSearchKey" Width="160" Text="Add Search Terms" onclick="btnAddSearchKey_Click" /></td>  
    </tr>

    <tr style="height:20px"><td colspan="2">&nbsp;</td></tr>
    
    <tr style="height:110"><td colspan="2">
        <asp:GridView ID="grdSearchKeys" runat="server" AutoGenerateColumns="false" OnRowCancelingEdit="grdSearchKeys_RowCancelingEdit"
                OnRowDeleting="grdSearchKeys_RowDeleting" OnRowEditing="grdSearchKeys_RowEditing" OnRowUpdating="grdSearchKeys_RowUpdating" Width="652px" 
                CssClass="cssMain" CellPadding="4" >
                <HeaderStyle CssClass="GridHeader" /> 
                <Columns>
                    <asp:TemplateField HeaderText="iIndex" Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lbliIndex" runat="server" Text='<%#Eval("iIndex") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Product ID" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" ItemStyle-Width="65px" Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblProductID" runat="server" Text='<%#Eval("ProductID") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Product List Page Search Terms" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" ItemStyle-Width="400px">
                        <ItemTemplate>
                            <asp:Label ID="lblSearchTerm" runat="server" Text='<%#Eval("SearchTerm") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtSearchTerm" runat="server" TextMode="MultiLine" Width="300px" Height="70px" Text='<%#Eval("SearchTerm") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="Search Module DropDown 1 Terms" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" ItemStyle-Width="400px">
                        <ItemTemplate>
                            <asp:Label ID="lblSMDD1" runat="server" Text='<%#Eval("SearchModuleDD1") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtGrdSMDD1" runat="server" TextMode="MultiLine" Width="300px" Height="70px" Text='<%#Eval("SearchModuleDD1") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="Search Module DropDown 2 Terms" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" ItemStyle-Width="400px">
                        <ItemTemplate>
                            <asp:Label ID="lblSMDD2" runat="server" Text='<%#Eval("SearchModuleDD2") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtGrdSMDD2" runat="server" TextMode="MultiLine" Width="300px" Height="70px" Text='<%#Eval("SearchModuleDD2") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:CommandField ShowEditButton="True" ItemStyle-CssClass="GridCells" CausesValidation="false"/>
                    <asp:CommandField ShowDeleteButton="True" ItemStyle-CssClass="GridCells" CausesValidation="false"/>
                </Columns>
            </asp:GridView>
     </td></tr>
     
     <tr style="height:20"><td colspan="2">&nbsp;</td></tr>
     
     <tr><td align="center" colspan="2"> <asp:Button ID="btnBack" runat="server" Text="Back" Width="81px" onclick="btnBack_Click" CausesValidation="false" /></td></tr>
     
</table>
