﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.AddressBook.ManageBuyers, App_Web_managebuyers.ascx.59fd2cee" %>
<link href="module.css" rel="stylesheet" type="text/css" />
<table width="600px" class="SmithProdText">
    <tr><td colspan="2" align="left"><asp:Button ID="btnBack" runat="server" onclick="btnBack_Click" Text="Back"  Width="91px" CausesValidation="false" /></td></tr>
    <tr><td style="height: 15">&nbsp;</td></tr>
    <tr><td colspan="2" class="SmithTitle" align="left">Manage Buyers</td></tr>
	<tr><td style="height: 15">&nbsp;</td></tr>
    
    <tr>
        <td colspan="2">
            <asp:GridView ID="grdBuyers" DataKeyNames="BuyerID" AutoGenerateColumns="false" Width="100%" CssClass="cssMain" CellPadding="4"
                runat="server" OnRowDeleting="grdBuyers_RowDeleting">
                <HeaderStyle CssClass="GridHeader" /> 
                <Columns>
                   
                    <asp:TemplateField HeaderText="First Name" SortExpression="FirstName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblFirstName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"FirstName")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Last Name" SortExpression="LastName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblLastName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"LastName")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="DNNLogin" SortExpression="DNNLogin" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblDNNLogin" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"DNNLogin")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                     <asp:TemplateField HeaderText="Company Name" SortExpression="CompanyName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblCompanyName" runat="server" Text='<%#Eval("CompanyName") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                   
                     <asp:TemplateField HeaderText="Email" SortExpression="Email" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblEmail" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Email")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                     <asp:TemplateField HeaderText="Phone" SortExpression="Phone" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblPhone" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Phone")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="Fax" SortExpression="Fax" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblFax" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Fax")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField ItemStyle-CssClass="GridCells" ItemStyle-HorizontalAlign="Center" HeaderStyle-Width="20px">
                        <ItemTemplate>
                            <asp:LinkButton CausesValidation="false"  ID="lkEditBuyer" runat="server" Text="Edit" OnClick="lkEditBuyer" Width="20px"/>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:CommandField ShowDeleteButton="True" ItemStyle-Width="50px" ItemStyle-CssClass="GridCells"/>
                </Columns>
            </asp:GridView>
        </td>
    </tr>
	<tr><td style="height: 15">&nbsp;</td></tr>
    
    <tr>
        <td nowrap="nowrap" align="left" valign="top"><asp:Label ID="lblFname" runat="server" resourcekey="lblFirstName" Text="First Name:"/></td>
        <td align="left">
            <asp:TextBox ID="txtFirstName" runat="server"  MaxLength="100" Width="200px" TabIndex="5"/>
            <%--<asp:RequiredFieldValidator ID="rfvFname" runat="server" ControlToValidate="txtFirstName" ErrorMessage="First Name Required" Display="Dynamic"/>--%>
        </td>
    </tr>
    
     <tr align="left" >
        <td nowrap="nowrap" align="left" valign="top"><asp:Label ID="lblLname" runat="server" resourcekey="lblLastName" Text="Last Name:"/></td>
        <td align="left">
            <asp:TextBox ID="txtLastName" runat="server"  MaxLength="100" Width="200px" TabIndex="10"/>
            <%--<asp:RequiredFieldValidator ID="rfvLname" runat="server" ControlToValidate="txtLastName" ErrorMessage="Last Name Required" Display="Dynamic"/>--%>
        </td>
    </tr>

    <tr align="left">
        <td valign="top"><asp:Label ID="lblDNNLogin" runat="server" resourcekey="lblFax" Text="DNNLogin:"/></td>
        <td valign="top">
            <asp:TextBox ID="txtDNNLogin" runat="server" MaxLength="30" Columns="15" TabIndex="130" Width="200px"/>
            <asp:RequiredFieldValidator ID="rfvDNNLogin" runat="server" ControlToValidate="txtDNNLogin" ErrorMessage="DNN Login Required" Display="Dynamic"/>
        </td>
    </tr>

    <tr>
        <td align="left" nowrap="nowrap"><asp:Label ID="lblCompanyName" runat="server" resourcekey="lblCompanyName" Text="Company Name:"/></td>
        <td align="left">
            <asp:TextBox ID="txtCompanyName" runat="server" Width="300px"/>
            <%--<asp:RequiredFieldValidator ID="rfvCompanyName" runat="server" ControlToValidate="txtCompanyName" ErrorMessage="Company Name Required" Display="Dynamic"/>--%>
        </td>
    </tr>
 
    <tr align="left">
        <td valign="top"><asp:Label ID="lblEmail" runat="server" resourcekey="lblEmail" Text="Email:"/></td>
        <td valign="top">
            <asp:TextBox ID="txtEmail" runat="server" MaxLength="50" Width="250px" TabIndex="110"/>
            <%--<asp:RequiredFieldValidator ID="rfvEmail" runat="server" ControlToValidate="txtEmail" ErrorMessage="Email Required" Display="Dynamic"/>--%>
            <asp:RegularExpressionValidator ID="revEmail" runat="server" ControlToValidate="txtEmail" ErrorMessage="Invalid Email Address." Display="Dynamic" ValidationExpression="^[a-zA-Z0-9][\w\.-]*[a-zA-Z0-9]@[a-zA-Z0-9][\w\.-]*[a-zA-Z0-9]\.[a-zA-Z][a-zA-Z\.]*[a-zA-Z]$"/>
        </td>
    </tr>
    
    <tr align="left">
        <td valign="top"><asp:Label ID="lblPhone" runat="server" resourcekey="lblPhone" Text="Phone:"/></td>
        <td valign="top">
            <asp:TextBox ID="txtPhone" runat="server" MaxLength="30" Columns="15" TabIndex="120" Width="200px"/>
            <%--<asp:RequiredFieldValidator ID="rfvPhone" runat="server" ControlToValidate="txtPhone" ErrorMessage="Phone Required" Display="Dynamic"/>--%>
            <asp:RegularExpressionValidator ID="revtxtPhone" runat="server" ErrorMessage="Phone number must be a minumum of 10 characters" ValidationExpression=".{10}.*" ControlToValidate="txtPhone" Display="Dynamic"/>
        </td>
    </tr>
    
    <tr align="left">
        <td valign="top"><asp:Label ID="lblFax" runat="server" resourcekey="lblFax" Text="Fax:"/></td>
        <td valign="top"><asp:TextBox ID="txtFax" runat="server" MaxLength="30" Columns="15" TabIndex="130" Width="200px"/></td>
    </tr>

    <tr><td style="height: 10">&nbsp;</td></tr>
    
    <tr>
        <td colspan="2" align="center">
            <asp:Button ID="btnAddBuyer" runat="server" Text="Add New Buyer" OnClick="btnAddBuyer_Click" Width="175px" />
		</td>
    </tr>
	<tr style="height:20"><td>&nbsp;</td></tr>
    <tr><td colspan="2"><asp:Label ID="lblMessage" runat="server" CssClass="SmithBold" /></td></tr>
    <tr style="height:20"><td>&nbsp;</td></tr>
	
</table>

<asp:HiddenField ID="hdBuyerID" runat="server" />
