﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.AdminProducts, App_Web_adminproducts.ascx.54f2e0e1" %>
<table style="width: 853px">
    <col width="100%" />
    <tr>
        <td align="center">
            <%-- <asp:LinkButton ID="LkBCategories" runat="server" OnClick="LkBCategories_Click">Categories</asp:LinkButton>--%>
            <asp:LinkButton ID="LkBManufactures" runat="server" OnClick="LkBManufactures_Click">Manufactures</asp:LinkButton>
            <asp:LinkButton ID="LkBProducts" runat="server" OnClick="LkBProducts_Click">Products</asp:LinkButton>
        </td>
    </tr>
    <tr>
        <td>
            <asp:MultiView ID="MultiView1" runat="server">
                <asp:View ID="VManufacturers" runat="server">
                    <table width="100%">
                        <tr>
                            <td align="center">
                                <asp:GridView ID="grdManufacturers" DataKeyNames="ManufacturerID" AutoGenerateColumns="false" runat="server" 
                                    OnRowCancelingEdit="grdManufacturers_RowCancelingEdit" OnRowDeleting="grdManufacturers_RowDeleting" OnRowEditing="grdManufacturers_RowEditing" OnRowUpdating="grdManufacturers_RowUpdating">
                                    <Columns>
                                        <asp:TemplateField HeaderText="ManufacturerName">
                                            <ItemTemplate>
                                                <asp:Label ID="lblManufacturerName" runat="server" Text='<%#Eval("ManufacturerName") %>'></asp:Label>
                                            </ItemTemplate>
                                            <EditItemTemplate>
                                                <asp:TextBox ID="txtManufacturerName" runat="server" Text='<%#Eval("ManufacturerName") %>'></asp:TextBox>
                                            </EditItemTemplate>
                                        </asp:TemplateField>
                                        <asp:CommandField ShowEditButton="true" />
                                        <asp:CommandField ShowDeleteButton="true" />
                                    </Columns>
                                </asp:GridView>
                            </td>
                        </tr>
                    </table>
                </asp:View>
                <asp:View ID="vProducts" runat="server">
                    <table width="100%">
                        <tr>
                            <td>
                                Search:<asp:DropDownList ID="ddlSearch" runat="server" Width="122px">
                                    <asp:ListItem>CategoryName</asp:ListItem>
                                    <asp:ListItem>Manufacturer</asp:ListItem>
                                    <asp:ListItem>ModelName</asp:ListItem>
                                </asp:DropDownList><asp:TextBox ID="txtSearch" runat="server" Width="141px"></asp:TextBox>
                                <asp:Button ID="btnSearch" runat="server" Text="Go" OnClick="btnSearch_Click" />&nbsp;
                            </td>
                            <td align="center" style="width: 116px">
                                Records:<asp:DropDownList ID="ddlRecords" runat="server" Width="57px" OnSelectedIndexChanged="ddlRecords_SelectedIndexChanged"
                                    AutoPostBack="True">
                                    <asp:ListItem>10</asp:ListItem>
                                    <asp:ListItem>20</asp:ListItem>
                                    <asp:ListItem>50</asp:ListItem>
                                    <asp:ListItem>100</asp:ListItem>
                                </asp:DropDownList>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" align="center">
                                <asp:GridView ID="grdProducts" DataKeyNames="ProductID" AllowSorting="true" runat="server"
                                    AutoGenerateColumns="false" OnRowDeleting="grdProducts_RowDeleting" Width="663px"
                                    OnRowCreated="grdProducts_RowCreated" OnSorting="grdProducts_Sorting">
                                    <Columns>
                                        <asp:TemplateField HeaderText="ProductID" SortExpression="ProductID">
                                            <ItemTemplate>
                                                <asp:Label ID="lblProductID" runat="server" Text='<%#Eval("ProductID") %>'></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="CategoryName" SortExpression="CategoryName">
                                            <ItemTemplate>
                                                <asp:Label ID="lblCategoryName" runat="server" Text='<%#Eval("CategoryName") %>'></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Manufacturer" SortExpression="Manufacturer">
                                            <ItemTemplate>
                                                <asp:Label ID="lblManufacturer" runat="server" Text='<%#Eval("Manufacturer") %>'></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="ModelName" SortExpression="ModelName">
                                            <ItemTemplate>
                                                <asp:Label ID="lblModelName" runat="server" Text='<%#Eval("ModelName") %>'></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="UnitCost" SortExpression="UnitCost">
                                            <ItemTemplate>
                                                <asp:Label ID="lblUnitCost" runat="server" Text='<%#Eval("UnitCost") %>'></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField>
                                            <ItemTemplate>
                                                <asp:LinkButton ID="lkUpdate" runat="server" Text="Edit" OnClick="lkUpdate_Edit"></asp:LinkButton>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:CommandField ShowDeleteButton="True" />
                                    </Columns>
                                </asp:GridView>
                            </td>
                        </tr>
                        <tr>
                            <td align="center" colspan="2">
                                <asp:LinkButton ID="lbFirst" runat="server" OnClick="lbFirst_Click">First</asp:LinkButton>
                                <asp:LinkButton ID="lbPrev" runat="server" OnClick="lbPrev_Click">Prev</asp:LinkButton>
                                <asp:Label ID="lblResult" runat="server"></asp:Label>
                                <asp:LinkButton ID="lbNext" runat="server" OnClick="lbNext_Click">Next</asp:LinkButton>
                                <asp:LinkButton ID="lbLast" runat="server" OnClick="lbLast_Click">Last</asp:LinkButton>
                                <asp:Label ID="Label2" runat="server"></asp:Label></td>
                        </tr>
                    </table>
                    <asp:Label ID="Label1" runat="server"></asp:Label></asp:View>
            </asp:MultiView>
        </td>
    </tr>
    <tr>
        <td align="center">
            <asp:Button ID="btnAdmin" OnClick="btnAdmin_Click" runat="server" Text="Admin" CausesValidation="False">
            </asp:Button>
            <asp:Button ID="btnCategory" runat="server" Text="Category" OnClick="btnCategory_Click" Width="70px" />
        </td>
    </tr>
</table>
