﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ManageTaxTable, App_Web_managetaxtable.ascx.54f2e0e1" %>
<link href="module.css" rel="stylesheet" type="text/css" />

<script type="text/javascript">
    function confirmDelete() {
        var x = confirm("Are you sure you want to delete all records?");
        if (x) {
            return true;
        }
        else {
            alert("Delete cancelled.");
            return false;
        }
    }
</script>

<%--<asp:UpdatePanel ID="UpdatePanel1" runat="server"><ContentTemplate>--%>

<p align="left">
    <asp:Button ID="btnBack" runat="server" Text="Back" Width="81px" onclick="btnBack_Click" />&nbsp;&nbsp;&nbsp;
    <asp:Button ID="btnShowImport" runat="server" Text="Import Tax Table" onclick="btnShowImport_Click" />&nbsp;&nbsp;&nbsp;
    <asp:Button ID="btnDeleteAll" runat="server" Text="Delete Tax Table" onclick="btnDeleteAll_Click" />
</p>

<br /><br />

<asp:Panel ID="pnlShowImport" runat="server" Visible="false">
    <asp:Label ID="Label1" runat="server" Text="Import Tax Table" CssClass="SmithTitle"/>
    <br /><br />
    <asp:Label ID="Label2" runat="server" Text="Step1: Select CSV File for Import"/>
    <br /><br />
    <asp:FileUpload runat="server" ID="fuImportFile" Width="450" />
    <br /><br />
    <asp:Label ID="Label3" runat="server" Text="Step 2: Click here to Import Tax Table"/>
    <br /><br />
    <asp:Button runat="server" ID="btnImport" Text="Import Tax Table" OnClick="btnImport_Click" Width="170" /> 
    <br />
    <asp:Label ID="lblStatus" runat="server" CssClass="SmithBlueMsg"/>
    <br />
</asp:Panel>

<br />    
<asp:GridView ID="grdTax" runat="server" AutoGenerateColumns="false" CssClass="cssMain" CellPadding="4" PageSize="25"  AllowPaging="True" 
    OnRowEditing="grdTax_RowEditing" OnRowCancelingEdit="grdTax_RowCancelingEdit" OnRowDeleting="grdTax_RowDeleting"  
    OnRowUpdating="grdTax_RowUpdating" OnPageIndexChanging="grdTax_PageIndexChanging">
    <HeaderStyle CssClass="GridHeader" /> 
    <pagersettings mode="NumericFirstLast" position="Bottom"/> 
   
    <Columns>
        <asp:TemplateField HeaderText="TaxID"  Visible="false">
            <ItemTemplate>
                <asp:Label ID="lblTaxID" runat="server" Text='<%#Eval("TaxID") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
                    
        <asp:TemplateField HeaderText="City" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblCity" runat="server" Text='<%#Eval("City") %>'></asp:Label>
            </ItemTemplate>
            <EditItemTemplate>
                <asp:TextBox ID="txtCity" runat="server" Text='<%#Eval("City") %>'></asp:TextBox>
            </EditItemTemplate>
        </asp:TemplateField>

        <asp:TemplateField HeaderText="County" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblCounty" runat="server" Text='<%#Eval("County") %>'></asp:Label>
            </ItemTemplate>
            <EditItemTemplate>
                <asp:TextBox ID="txtCounty" runat="server" Text='<%#Eval("County") %>'></asp:TextBox>
            </EditItemTemplate>
        </asp:TemplateField>

        <asp:TemplateField HeaderText="State" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblState" runat="server" Text='<%#Eval("State") %>'></asp:Label>
            </ItemTemplate>
            <EditItemTemplate>
                <asp:TextBox ID="txtState" runat="server" Text='<%#Eval("State") %>'></asp:TextBox>
            </EditItemTemplate>
        </asp:TemplateField>

        <asp:TemplateField HeaderText="Postal Code" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblZip" runat="server" Text='<%#Eval("PostalCode") %>'></asp:Label>
            </ItemTemplate>
            <EditItemTemplate>
                <asp:TextBox ID="txtZip" runat="server" Text='<%#Eval("PostalCode") %>'></asp:TextBox>
            </EditItemTemplate>
        </asp:TemplateField>

        <asp:TemplateField HeaderText="Tax Rate" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblTaxRate" runat="server" Text='<%#Eval("TaxRate") %>'></asp:Label>
            </ItemTemplate>
            <EditItemTemplate>
                <asp:TextBox ID="txtTaxRate" runat="server" Text='<%#Eval("TaxRate") %>'></asp:TextBox>
            </EditItemTemplate>
        </asp:TemplateField>
                   
        <asp:CommandField ShowEditButton="True" ItemStyle-CssClass="GridCells"/>
        <asp:CommandField ShowDeleteButton="True" ItemStyle-CssClass="GridCells"/>
    </Columns>
</asp:GridView>
<br />
<%--</ContentTemplate></asp:UpdatePanel> --%>