﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.PageTemplate, App_Web_pagetemplate.ascx.54f2e0e1" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<link href="module.css" rel="stylesheet" type="text/css" />

<div class="left">
    <asp:Button ID="btnBack1" runat="server" onclick="btnBack_Click" Text="<< Back" />&nbsp;&nbsp;&nbsp;&nbsp;
    <asp:Button ID="btnAddTemplate" runat="server" Text="Add Page Template" OnClick="btnAddTemplate_Click"  />
</div>
<br /><br />
<div class="center"><asp:Label ID="lblStatus" runat="server" CssClass="SmithRequiredText"/></div>
<br />

<asp:GridView ID="grdPageTemplates" AutoGenerateColumns="false" runat="server">
<HeaderStyle CssClass="GridHeader"/> 
    <Columns>
         <asp:TemplateField ItemStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:LinkButton ID="lkEdit" runat="server" OnClick="lkEdit_Click" Text="Edit" />
            </ItemTemplate>
        </asp:TemplateField>

        <asp:TemplateField HeaderText="Template Name" ItemStyle-CssClass="GridCells" HeaderStyle-Width="200px" ItemStyle-HorizontalAlign="Left" HeaderStyle-HorizontalAlign="Left" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblTemplateName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Name") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>

        <%--<asp:TemplateField HeaderText="Language" ItemStyle-CssClass="GridCells" HeaderStyle-Width="150px" ItemStyle-HorizontalAlign="Left" HeaderStyle-HorizontalAlign="Left" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblLanguage" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"LanguageLocale") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>--%>

        <asp:TemplateField ItemStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:LinkButton ID="lkDelete" runat="server" OnClick="lkDelete_Click" Text="Delete" />
            </ItemTemplate>
        </asp:TemplateField>
    </Columns>
</asp:GridView>

<br /><br />

<table id="tblFields" runat="server" visible="false">
    <tr>
        <td align="left" colspan="2">Template Name:&nbsp;&nbsp;
            <asp:DropDownList ID="ddlTemplateName" runat="server" AutoPostBack="True" onselectedindexchanged="ddlTemplateName_SelectedIndexChanged">
               <asp:ListItem Value="ProductListSingleColumn">Product Listing Page - Single Column</asp:ListItem>
               <asp:ListItem Value="ProductListMultiColumn">Product Listing Page - Multi Column</asp:ListItem>
               <%--<asp:ListItem Value="UpsellSingleColumn">Upsell Page - Single Column</asp:ListItem>--%>
            </asp:DropDownList>
        </td>
    </tr>
   
    <tr><td>&nbsp;</td></tr>

    <tr><td align="left" colspan="2">Template:</td></tr>
    <tr>
        <td colspan="2">
           <%-- <dnn:TextEditor ID="teTemplate" runat="server" Width="550" TextRenderMode="Raw" HtmlEncode="False" DefaultMode="Rich" Height="350" ChooseMode="True" ChooseRender="False"  />--%>
            <%--<dnn:TextEditor ID="teTemplate" runat="server" Width="550" Height="350"  />--%>
            <asp:TextBox ID="teTemplate" runat="server" TextMode="multiLine" MaxLength="400" Rows="34" Width="700px" />
        </td>
    </tr>
    <tr><td>&nbsp;</td></tr>
    <tr>
        <td align="left"><asp:Button ID="btnCancel" runat="server" onclick="btnCancel_Click" Text="Cancel" Width="70px" /></td>
        <td align="left"><asp:Button ID="btnSubmit" runat="server" Text="Submit" OnClick="btnSubmit_Click" Width="100px" /></td>
    </tr>
    <tr><td>&nbsp;</td></tr>
    
</table>
