﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.SalesRep.SalesRepCommissionRpt, App_Web_salesrepcommissionrpt.ascx.be7a4022" %>
<link href="module.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.cssMain {font-family: Tahoma, Verdana, Arial, Helvetica, sans-serif; font-size: 11px;}
.GridHeader
{
    font-weight: bold;
    background-color: #DDDDDD;
    padding: 10px 10px 10px 10px;
    font-family:Verdana, Arial, Helvetica, sans-serif;
    font-size: 12px;
    color:#000000
}
.GridCells
{
    padding-right:10px;
    padding-left:10px;
    padding-top:5px;
    padding-bottom:5px;
    font-family:Verdana, Arial, Helvetica, sans-serif;
    font-size: 12px;
    color:#000000;
    text-align:left;
    
}
.GridCellPrices
{
	padding-right:10px;
	padding-left:10px;
	padding-top:5px;
	padding-bottom:5px;
	font-family:Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	color:#000000;
	text-align:right;
	
}

.NoShow
{
    display:none;
}
</style>

<script type="text/javascript">
    function printArticle() {
        var divToPrint = document.getElementById("<%=PrintArticle.ClientID%>");
        newWin = window.open("");
        newWin.document.write(divToPrint.innerHTML);
        newWin.print();

        //        newWin.close();
    } 
</script>

<div runat="server" id="PrintArticle" align="left">
<table>
    <tr>
        <td style="height: 32px" align="left">
            <asp:Label ID="Label20" runat="server" resourcekey="SalesRepReportTitle" cssclass="SmithTitle"/>&nbsp;
            <asp:Label ID="lblOrgName" runat="server" />
        </td>
    </tr>
    <tr><td>&nbsp;</td></tr>
</table>
<table>
    <tr align="left">
        <td>
            <asp:Label ID="Label1" runat="server" Text="Month:"/>
             <asp:DropDownList ID="ddlMonth" runat="server" Width="50px" TabIndex="2">
                <asp:ListItem Value="01">01</asp:ListItem>
                <asp:ListItem Value="02">02</asp:ListItem>
                <asp:ListItem Value="03">03</asp:ListItem>
                <asp:ListItem Value="04">04</asp:ListItem>
                <asp:ListItem Value="05">05</asp:ListItem>
                <asp:ListItem Value="06">06</asp:ListItem>
                <asp:ListItem Value="07">07</asp:ListItem>
                <asp:ListItem Value="08">08</asp:ListItem>
                <asp:ListItem Value="09">09</asp:ListItem>
                <asp:ListItem Value="10">10</asp:ListItem>
                <asp:ListItem Value="11">11</asp:ListItem>
                <asp:ListItem Value="12">12</asp:ListItem>
            </asp:DropDownList>
        </td>

        <td style="width: 28px"></td>
        
        <td>
            <asp:Label ID="Label2" runat="server" Text="Year:"/>
            <asp:DropDownList ID="ddlYear" runat="server" TabIndex="3"></asp:DropDownList>
        </td>

        <td style="width: 22px"></td>

        <td style="width: 150px"><asp:Button ID="btnFilter" runat="server" OnClick="btnFilter_Click" Text="Filter" Width="52px" /></td> 

    </tr>
    <tr style="height: 20px"><td></td></tr>
</table>

<table><tr><td>
    <asp:DataGrid ID="DataGrid1" runat="server" AllowPaging="False" AllowSorting="True" AutoGenerateColumns="False"  
        OnPageIndexChanged="DataGrid1_PageIndexChanged" OnSortCommand="DataGrid1_SortCommand" OnItemDataBound="DataGrid1_ItemDataBound"
        ShowFooter="True" CellPadding="5" GridLines="None" CssClass="reportgrid" >
       <HeaderStyle CssClass="headerstyle"/> 
       <FooterStyle CssClass="GridCellsRight"/> 
       <AlternatingItemStyle BackColor="#F1F1F1" />
        <Columns>
            
            <asp:TemplateColumn HeaderText="Organization Name" SortExpression="DNNProfileField" ItemStyle-CssClass="GridCells" HeaderStyle-HorizontalAlign="Left">
                <ItemTemplate>
                    <asp:Label ID="lblOrgName" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"DNNProfileField") %>' Width="100px"></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>

            <asp:TemplateColumn HeaderText="OrderID" SortExpression="orderid" ItemStyle-CssClass="GridCells" HeaderStyle-HorizontalAlign="Left">
                <ItemTemplate>
                    <asp:Label ID="lblOrderID" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.orderid")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>

             <asp:TemplateColumn HeaderText="Order Date" SortExpression="orderdate" ItemStyle-CssClass="GridCells" HeaderStyle-HorizontalAlign="Left">
                <ItemTemplate>
                    <asp:Label ID="lblOrderDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"OrderDate")) %>' Width="100px"></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>

            <asp:TemplateColumn HeaderText="Customer Name" SortExpression="CustomerName" ItemStyle-CssClass="GridCells" HeaderStyle-HorizontalAlign="Left">
                <ItemTemplate>
                    <asp:Label ID="lblCustomerName" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"CustomerName") %>' Width="100px"></asp:Label>
                </ItemTemplate>
                 <Footertemplate>
                   <asp:Label ID="lblTotalLabel" runat="server" Text="TOTALS" ></asp:Label>
                </FooterTemplate>
            </asp:TemplateColumn>

             <asp:TemplateColumn HeaderText="Product Name" SortExpression="ProductName" ItemStyle-CssClass="GridCells" HeaderStyle-HorizontalAlign="Left">
                <ItemTemplate>
                    <asp:Label ID="lblProductName" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"ProductName") %>' Width="100px"></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>

           <asp:TemplateColumn HeaderText="Order Total" SortExpression="Total" ItemStyle-CssClass="GridCellsRight">
                <ItemTemplate>
                   <asp:Label ID="lblTotal" runat="server" Text='<%# FormatCurrency(DataBinder.Eval(Container.DataItem, "Total")) %>' ></asp:Label>
                </ItemTemplate>
                 <Footertemplate>
                   <asp:Label ID="lblTotalSum" runat="server" Text="TotalSum" ></asp:Label>
                </FooterTemplate>
            </asp:TemplateColumn>

             <asp:TemplateColumn HeaderText="Wholesale Total" SortExpression="WholesaleTotal" ItemStyle-CssClass="GridCellsRight">
                <ItemTemplate>
                   <asp:Label ID="lblWholesaleTotal" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "WholesaleTotal","{0:c}") %>' ></asp:Label>
                </ItemTemplate>
                 <Footertemplate>
                   <asp:Label ID="lblWholesaleTotalSum" runat="server" Text="WholesaleTotalSum" ></asp:Label>
                </FooterTemplate>
            </asp:TemplateColumn>

            <asp:TemplateColumn HeaderText="Commission Pct" SortExpression="CommissionPercent" ItemStyle-CssClass="GridCellsRight">
                <ItemTemplate>
                   <asp:Label ID="lblCommissionPercent" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "CommissionPercent","{0:c}") %>' />
                </ItemTemplate>
            </asp:TemplateColumn>

            <asp:TemplateColumn HeaderText="Commission Amt" ItemStyle-CssClass="GridCellsRight">
                <ItemTemplate>
                   <asp:Label ID="lblCommissionAmt" runat="server" />
                </ItemTemplate>
                 <Footertemplate>
                   <asp:Label ID="lblCommissionAmtSum" runat="server" Text="CommissionAmtSum" />
                </FooterTemplate>
            </asp:TemplateColumn>

         
        </Columns>
        
       <%-- <PagerStyle Position="TopAndBottom" NextPageText="Next >" PrevPageText="< Prev" HorizontalAlign="Left"></PagerStyle>--%>
    </asp:DataGrid>
    
</td></tr>

</table>

</div>

<table>
    <tr>
        <td align="center"><br /><br /><br />
            <asp:Button ID="btnBack" resourcekey="btnBack" runat="server" OnClick="btnBack_Click" CssClass="NoPrint"  CausesValidation="False" />&nbsp;&nbsp;
            <asp:Button ID="btnPrint" resourcekey="btnPrint" runat="server" OnClientClick="printArticle()" />
            <%--<asp:Button ID="btnPrint" CssClass="NoPrint" runat="server" Text="Print" Width="80px" OnClientClick="window.print()" />--%>
        </td>
    </tr>
</table>


<asp:HiddenField ID="hdOrgName" runat="server" />
